<?php

SpAddonsConfig::addonConfig(
        array(
            'type' => 'content',
            'addon_name' => 'sp_heading',
            'category' => 'TIXON',
            'title' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING'),
            'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_DESC'),
            'attr' => array(
                'general' => array(
                    'heading_style' => array(
                        'type' => 'select',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_STYLE'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_STYLE_DESC'),
                        'values' => array(
                            'style1' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_STYLE_ONE'),
                            'style2' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_STYLE_TWO'),
                        ),
                    ),
                    'title' => array(
                        'type' => 'text',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_TITLE'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_TITLE_DESC'),
                        'std' => 'Call to action title',
                    ),
                    'heading_selector' => array(
                        'type' => 'select',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADINGS'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_DESC'),
                        'values' => array(
                            'h1' => 'h1',
                            'h2' => 'h2',
                            'h3' => 'h3',
                            'h4' => 'h4',
                            'h5' => 'h5',
                            'h6' => 'h6',
                            'p' => 'p',
                            'span' => 'span',
                            'div' => 'div'
                        ),
                        'std' => 'h2'
                    ),
                    'use_link' => array(
                        'type' => 'checkbox',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_USE_LINK'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_USE_LINK_DESC'),
                        'std' => 0
                    ),
                    'title_link' => array(
                        'type' => 'text',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LINK'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LINK_DESC'),
                        'placeholder' => 'http://',
                        'std' => '',
                        'depends' => array('use_link' => 1)
                    ),
                    'link_new_tab' => array(
                        'type' => 'select',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LINK_NEWTAB'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LINK_NEWTAB_DESC'),
                        'values' => array(
                            0 => JText::_('COM_SPPAGEBUILDER_ADDON_GLOBAL_TARGET_SAME_WINDOW'),
                            1 => JText::_('COM_SPPAGEBUILDER_ADDON_GLOBAL_TARGET_NEW_WINDOW'),
                        ),
                        'std' => '',
                        'depends' => array('use_link' => 1)
                    ),
                    'title_fontsize' => array(
                        'type' => 'number',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_SIZE'),
                        'std' => ''
                    ),
                    'title_fontstyle' => array(
                        'type' => 'select',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE'),
                        'values' => array(
                            'underline' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_UNDERLINE'),
                            'uppercase' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_UPPERCASE'),
                            'italic' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_ITALIC'),
                            'lighter' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_LIGHTER'),
                            'normal' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_NORMAL'),
                            'bold' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_BOLD'),
                            'bolder' => JText::_('COM_SPPAGEBUILDER_GLOBAL_FONT_STYLE_BOLDER'),
                        ),
                        'multiple' => true,
                        'std' => ''
                    ),
                    'title_lineheight' => array(
                        'type' => 'text',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LINE_HEIGHT'),
                        'std' => ''
                    ),
                    'title_letterspace' => array(
                        'type' => 'select',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LETTER_SPACING'),
                        'values' => array(
                            '0' => 'Default',
                            '1px' => '1px',
                            '2px' => '2px',
                            '3px' => '3px',
                            '4px' => '4px',
                            '5px' => '5px',
                            '6px' => '6px',
                            '7px' => '7px',
                            '8px' => '8px',
                            '9px' => '9px',
                            '10px' => '10px'
                        ),
                        'std' => '0'
                    ),
                    'title_margin' => array(
                        'type' => 'margin',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_MARGIN'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_GLOBAL_MARGIN_DESC'),
                        'std' => '0px 0px 30px 0px'
                    ),
                    'title_padding' => array(
                        'type' => 'padding',
                        'title' => JText::_('COM_SPPAGEBUILDER_GLOBAL_PADDING'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_GLOBAL_PADDING_DESC'),
                        'std' => '0px 0px 0px 0px'
                    ),
                    'alignment' => array(
                        'type' => 'select',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_GLOBAL_CONTENT_ALIGNMENT'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_GLOBAL_CONTENT_ALIGNMENT_DESC'),
                        'values' => array(
                            'sppb-text-left' => JText::_('COM_SPPAGEBUILDER_GLOBAL_LEFT'),
                            'sppb-text-center' => JText::_('COM_SPPAGEBUILDER_GLOBAL_CENTER'),
                            'sppb-text-right' => JText::_('COM_SPPAGEBUILDER_GLOBAL_RIGHT'),
                        ),
                        'std' => 'sppb-text-center',
                    ),
                    'subtitle' => array(
                        'type' => 'text',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_SUBTITLE'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_HEADING_SUBTITLE_DESC'),
                        'std' => 'Call to action sub title',
                    ),
                    'subtitle_fontsize' => array(
                        'type' => 'number',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_SUB_TITLE_FONT_SIZE'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_SUB_TITLE_FONT_SIZE_DESC'),
                        'std' => ''
                    ),
                    'subtitle_fontweight' => array(
                        'type' => 'number',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_SUB_TITLE_WEIGHT_SIZE'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_SUB_TITLE_WEIGHT_SIZE_DESC'),
                        'std' => ''
                    ),
                    'subtitle_text_color' => array(
                        'type' => 'color',
                        'title' => JText::_('COM_SPPAGEBUILDER_ADDON_SUB_TITLE_TEXT_COLOR'),
                        'desc' => JText::_('COM_SPPAGEBUILDER_ADDON_SUB_TITLE_TEXT_COLOR_DESC'),
                    ),
                )
            )
        )
);
