<?php
/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */

//no direct accees
defined('_JEXEC') or die('resticted aceess');
class SppagebuilderAddonFancy_image_link extends SppagebuilderAddons {
    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';
        $count = (isset($this->addon->settings->count) && $this->addon->settings->count) ? $this->addon->settings->count : 'sppb-col-sm-12';

        //start output
        $output = '';
        $output .= '<div class="sppb-addon sppb-addon-fancy-image-link ' . $class . '">';
        if ($title) {
            $output .= '<h3 class="sppb-addon-title">' . $title . '</h3>';
        }
        $output .= '<div class="sppb-addon-content">';
          $output .= '<div class="sppb-row">';
            foreach ($this->addon->settings->sp_fancy_image_link_item as $key => $value) {
                $output .= '<div class="' . $count . '">';
                  $output .= '<div class="overlay-image-wrapper  overlay-hidden">';
                  $output .= '<span class="overlay-img">';
                  $output .= '<img class="sppb-img-responsive" src="' . $value->image . '" alt="' . $title . '">';
                  $output .= '</span>';
                  $output .= '<div class="overlay">';
                  $output .= '<div>';
                  $output .= '<div class="overlay-inner">';
                  if ($value->title)
                      $output .= '<h3>' . $value->title . '</h3>';
                  if ($value->url)
                      $output .= '<a class="sppb-btn sppb-btn-default fancy-image-btn" target="_self" href="' . $value->url . '">' . $value->btn_text . '</a>';
                  $output .= '</div>';
                  $output .= '</div>';
                  $output .= '</div>';
                  $output .= '</div>';
                $output .= '</div>';
            }
          $output .= '</div>'; //.sppb-row
        $output .= '</div>'; //.sppb-addon-content
        $output .= '</div>'; //.sppb-addon-fancy-image-link

        return $output;
    }
}
