<?php

/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2015 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

////Load Helix
//$helix3_path = JPATH_PLUGINS . '/system/helix3/core/helix3.php';
//
//if (file_exists($helix3_path)) {
//    require_once($helix3_path);
//    helix3::addCSS('basic-iconfont.css'); // CSS Files
//}
//
//AddonParser::addAddon('sp_icon', 'sp_icon_addon');
//
//function sp_icon_addon($atts) {
//    extract(spAddonAtts(array(
//        'name' => '',
//        'alignment' => '',
//        'icon_type' => '',
//        'linea_icon_name' => '',
//        'color' => '',
//        'size' => '',
//        'border_color' => '',
//        'border_width' => '',
//        'border_radius' => '',
//        'style' => '',
//        'background' => '',
//        'margin_top' => '',
//        'margin_bottom' => '',
//        'padding' => '',
//        'class' => '',
//                    ), $atts));
//
//    $style = 'text-align:center;';
//    $font_size = '';
//
//    if ($icon_type == 'fontawesome_icon') {
//        if ($name) {
//            if ($margin_top)
//                $style .= 'margin-top:' . (int) $margin_top . 'px;';
//            if ($margin_bottom)
//                $style .= 'margin-bottom:' . (int) $margin_bottom . 'px;';
//            if ($padding)
//                $style .= 'padding:' . (int) $padding . 'px;';
//            if ($color)
//                $style .= 'color:' . $color . ';';
//            if ($background)
//                $style .= 'background-color:' . $background . ';';
//            if ($border_color)
//                $style .= 'border-style:solid;border-color:' . $border_color . ';';
//            if ($border_width)
//                $style .= 'border-width:' . (int) $border_width . 'px;';
//            if ($border_radius)
//                $style .= 'border-radius:' . (int) $border_radius . 'px;';
//
//            if ($size)
//                $font_size .= 'font-size:' . (int) $size . 'px;width:' . (int) $size . 'px;height:' . (int) $size . 'px;line-height:' . (int) $size . 'px;';
//
//            $output = '<div class="sppb-icon ' . $alignment . ' ' . $class . '">';
//            $output .= '<span style="display:inline-block;' . $style . ';">';
//            $output .= '<i class="fa ' . $name . '" style="' . $font_size . ';"></i>';
//            $output .= '</span>';
//            $output .= '</div>';
//
//            return $output;
//        }
//    }elseif ($linea_icon_name) {
//        if ($margin_top)
//            $style .= 'margin-top:' . (int) $margin_top . 'px;';
//        if ($margin_bottom)
//            $style .= 'margin-bottom:' . (int) $margin_bottom . 'px;';
//        if ($padding)
//            $style .= 'padding:' . (int) $padding . 'px;';
//        if ($color)
//            $style .= 'color:' . $color . ';';
//        if ($background)
//            $style .= 'background-color:' . $background . ';';
//        if ($border_color)
//            $style .= 'border-style:solid;border-color:' . $border_color . ';';
//        if ($border_width)
//            $style .= 'border-width:' . (int) $border_width . 'px;';
//        if ($border_radius)
//            $style .= 'border-radius:' . (int) $border_radius . 'px;';
//
//        if ($size)
//            $font_size .= 'margin-right:0;font-size:' . (int) $size . 'px;width:' . (int) $size . 'px;height:' . (int) $size . 'px;line-height:' . (int) $size . 'px;';
//
//        $output = '<div class="sppb-icon ' . $alignment . ' ' . $class . '">';
//        $output .= '<span style="display:inline-block;' . $style . ';">';
//        $output .= '<i class="linea-' . $linea_icon_name . '" style="' . $font_size . ';"></i>';
//        $output .= '</span>';
//        $output .= '</div>';
//
//        return $output;
//    }
//
//    return;
//}

class SppagebuilderAddonIcon extends SppagebuilderAddons {

    public function render() {

        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $class .= (isset($this->addon->settings->alignment) && $this->addon->settings->alignment) ? ' ' . $this->addon->settings->alignment : '';
        $class .= (isset($this->addon->settings->hover_effect) && $this->addon->settings->hover_effect) ? ' sppb-icon-hover-effect-' . $this->addon->settings->hover_effect : '';
        $name = (isset($this->addon->settings->name) && $this->addon->settings->name) ? $this->addon->settings->name : '';
        $linea_icon_name = (isset($this->addon->settings->linea_icon_name) && $this->addon->settings->linea_icon_name) ? $this->addon->settings->linea_icon_name : '';

        if ($name) {
            $output = '<div class="sppb-icon' . $class . '">';
            $output .= '<span class="sppb-icon-inner">';
            if ($linea_icon_name) {
                $output .= '<i class="linea-' . $linea_icon_name . '"></i>';
            } else {
                $output .= '<i class="fa ' . $name . '"></i>';
            }
            $output .= '</span>';
            $output .= '</div>';
            return $output;
        }
    }

    public function css() {
        $addon_id = '#sppb-addon-' . $this->addon->id;

        // Normal
        $icon_style = (isset($this->addon->settings->margin) && $this->addon->settings->margin) ? 'margin: ' . $this->addon->settings->margin . ';' : '';
        $icon_style .= (isset($this->addon->settings->height) && $this->addon->settings->height) ? 'height: ' . (int) $this->addon->settings->height . 'px;' : '';
        $icon_style .= (isset($this->addon->settings->width) && $this->addon->settings->width) ? 'width: ' . (int) $this->addon->settings->width . 'px;' : '';
        $icon_style .= (isset($this->addon->settings->color) && $this->addon->settings->color) ? 'color: ' . $this->addon->settings->color . ';' : '';
        $icon_style .= (isset($this->addon->settings->background) && $this->addon->settings->background) ? 'background-color: ' . $this->addon->settings->background . ';' : '';
        $icon_style .= (isset($this->addon->settings->border_color) && $this->addon->settings->border_color) ? 'border-style: solid; border-color: ' . $this->addon->settings->border_color . ';' : '';
        $icon_style .= (isset($this->addon->settings->border_width) && $this->addon->settings->border_width) ? 'border-width: ' . (int) $this->addon->settings->border_width . 'px;' : '';
        $icon_style .= (isset($this->addon->settings->border_radius) && $this->addon->settings->border_radius) ? 'border-radius: ' . (int) $this->addon->settings->border_radius . 'px;' : '';
        $font_size = (isset($this->addon->settings->size) && $this->addon->settings->size) ? 'font-size: ' . (int) $this->addon->settings->size . 'px;' : '';
        $font_size .= (isset($this->addon->settings->height) && $this->addon->settings->height) ? 'line-height: ' . (int) $this->addon->settings->height . 'px;' : '';

        // Mouse Hover
        $icon_style_hover = (isset($this->addon->settings->hover_color) && $this->addon->settings->hover_color) ? 'color: ' . $this->addon->settings->hover_color . ';' : '';
        $icon_style_hover .= (isset($this->addon->settings->hover_background) && $this->addon->settings->hover_background) ? 'background-color: ' . $this->addon->settings->hover_background . ';' : '';
        $icon_style_hover .= (isset($this->addon->settings->hover_border_color) && $this->addon->settings->hover_border_color) ? 'border-color: ' . $this->addon->settings->hover_border_color . ';' : '';
        $icon_style_hover .= (isset($this->addon->settings->hover_border_width) && $this->addon->settings->hover_border_width) ? 'border-width: ' . (int) $this->addon->settings->hover_border_width . 'px;' : '';
        $icon_style_hover .= (isset($this->addon->settings->hover_border_radius) && $this->addon->settings->hover_border_radius) ? 'border-radius: ' . (int) $this->addon->settings->hover_border_radius . 'px;' : '';

        $css = '';
        if ($icon_style) {
            $css .= $addon_id . ' .sppb-icon-inner {';
            $css .= $icon_style;
            $css .= "\n" . '}' . "\n";
        }

        if ($font_size) {
            $css .= $addon_id . ' .sppb-icon-inner i {';
            $css .= $font_size;
            $css .= "\n" . '}' . "\n";
        }

        // Hover
        if ($icon_style_hover) {
            $css .= $addon_id . ' .sppb-icon-inner:hover {';
            $css .= $icon_style_hover;
            $css .= "\n" . '}' . "\n";
        }

        return $css;
    }

}
