<?php

/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2015 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class SppagebuilderAddonPerson extends SppagebuilderAddons {

    public function render() {

        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';

        //Options
        $image = (isset($this->addon->settings->image) && $this->addon->settings->image) ? $this->addon->settings->image : '';
        $name = (isset($this->addon->settings->name) && $this->addon->settings->name) ? $this->addon->settings->name : '';
        $designation = (isset($this->addon->settings->designation) && $this->addon->settings->designation) ? $this->addon->settings->designation : '';
        $email = (isset($this->addon->settings->email) && $this->addon->settings->email) ? $this->addon->settings->email : '';
        $facebook = (isset($this->addon->settings->facebook) && $this->addon->settings->facebook) ? $this->addon->settings->facebook : '';
        $twitter = (isset($this->addon->settings->twitter) && $this->addon->settings->twitter) ? $this->addon->settings->twitter : '';
        $google_plus = (isset($this->addon->settings->google_plus) && $this->addon->settings->google_plus) ? $this->addon->settings->google_plus : '';
        $youtube = (isset($this->addon->settings->youtube) && $this->addon->settings->youtube) ? $this->addon->settings->youtube : '';
        $linkedin = (isset($this->addon->settings->linkedin) && $this->addon->settings->linkedin) ? $this->addon->settings->linkedin : '';
        $pinterest = (isset($this->addon->settings->pinterest) && $this->addon->settings->pinterest) ? $this->addon->settings->pinterest : '';
        $flickr = (isset($this->addon->settings->flickr) && $this->addon->settings->flickr) ? $this->addon->settings->flickr : '';
        $dribbble = (isset($this->addon->settings->dribbble) && $this->addon->settings->dribbble) ? $this->addon->settings->dribbble : '';
        $behance = (isset($this->addon->settings->behance) && $this->addon->settings->behance) ? $this->addon->settings->behance : '';
        $instagram = (isset($this->addon->settings->instagram) && $this->addon->settings->instagram) ? $this->addon->settings->instagram : '';
        $alignment = (isset($this->addon->settings->alignment) && $this->addon->settings->alignment) ? $this->addon->settings->alignment : '';

        $output = '';
        $socials = '';
        $output .= '<div class="sppb-addon sppb-addon-persion ' . $alignment . ' ' . $class . '">';
        $output .= '<div class="sppb-addon-content">';
        if ($image) {
            $output .= '<div class="sppb-person-image">';
            $output .= '<img class="sppb-img-responsive" src="' . $image . '" alt="' . $name . '">';
            // Social Icons
            $socials = array();

            if (isset($twitter) && $twitter) {
                $socials[] = array('twitter', $twitter);
            }

            if (isset($facebook) && $facebook) {
                $socials[] = array('facebook', $facebook);
            }

            if (isset($google_plus) && $google_plus) {
                $socials[] = array('google-plus', $google_plus);
            }

            if (isset($pinterest) && $pinterest) {
                $socials[] = array('pinterest', $pinterest);
            }

            if (isset($linkedin) && $linkedin) {
                $socials[] = array('linkedin', $linkedin);
            }

            if (isset($dribbble) && $dribbble) {
                $socials[] = array('dribbble', $dribbble);
            }

            if (isset($behance) && $behance) {
                $socials[] = array('behance', $behance);
            }

            if (isset($flickr) && $flickr) {
                $socials[] = array('flickr', $flickr);
            }

            if (isset($youtube) && $youtube) {
                $socials[] = array('youtube', $youtube);
            }

            if (isset($instagram) && $instagram) {
                $socials[] = array('instagram', $instagram);
            }

            // Limit social icons
            if (count($socials) > 5) {
                $socials = array_slice($socials, 0, 5);
            }

            if (count($socials)) {
                $output .= '<div class="sppb-person-social-icons">';
                $output .= '<ul class="sppb-person-' . count($socials) . '">';
                foreach ($socials as $key => $social) {
                    $output .= '<li class="social-' . ($key + 1) . '">';
                    $output .= '<a target="_blank" class="social-' . $social[0] . '" href="' . $social[1] . '"><i class="fa fa-' . $social[0] . '"></i></a>';
                    $output .= '</li>';
                }
                $output .= '</ul>';
                $output .= '</div>';
            }
            $output .= '</div>';
        }
        if ($name || $designation || $email) {
            $output .= '<div class="sppb-person-information">';
            if ($name)
                $output .= '<span class="sppb-person-name">' . $name . '</span>';
            if ($designation)
                $output .= '<span class="sppb-person-designation">' . $designation . '</span>';
            $output .= '</div>';
        }

        $output .= '</div>';
        $output .= '</div>';

        return $output;
    }

}
